**Source URL:** https://limited.veevavault.dev/regulatory/vault-api/api-reference/23.1/vault-objects/object-record-attachments/download-object-record-attachment-file.md

# Download Object Record Attachment File



<Endpoint path="/api/{version}/vobjects/{object_name}/{object_record_id}/attachments/{attachment_id}/file" method="GET"></Endpoint>

## Headers {#headers}

<FieldTable>
| Name | Description |
| --- | --- |
| `Accept` | `application/json` (default) or `application/xml` |
</FieldTable>

## URI Path Parameters {#uri-path-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `{object_name}` | The object `name__v` field value (`product__v`, `country__v`, `custom_object__c`, etc.). |
| `{object_record_id}` | The object record `id` field value. |
| `{attachment_id}` | The attachment `id` field value. |
</FieldTable>

## Request {#request}

<CodeExample title="">
```
curl -X GET -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v15.0/vobjects/site__v/1357752909483/attachments/571/file

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
Content-Type: application/octet-stream;charset=UTF-8
Content-Disposition: attachment;filename="file.pdf"

```
</CodeExample>

## Response Details {#response-details}

The HTTP Response Header `Content-Type` is set to `application/octet-stream`. The HTTP Response Header `Content-Disposition` contains a filename component which can be used when naming the local file. When downloading attachments with very small file size, the HTTP Response Header `Content-Length` is set to the size of the attachment. Note that for most attachments (larger file sizes), the `Transfer-Encoding` method is set to `chunked` and the `Content-Length` is not displayed.



---

**Previous:** [Retrieve Object Record Attachment Version Metadata](/regulatory/vault-api/api-reference/23.1/vault-objects/object-record-attachments/retrieve-object-record-attachment-version-metadata)  
**Next:** [Download Object Record Attachment Version File](/regulatory/vault-api/api-reference/23.1/vault-objects/object-record-attachments/download-object-record-attachment-version-file)